=== debian/changelog ===
mapbox-wagyu (0.4.3-3) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 21:07:01 +0200

mapbox-wagyu (0.4.3-2) unstable; urgency=medium

  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from control & rules files.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jul 2018 16:18:19 +0200

mapbox-wagyu (0.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Aug 2017 13:58:26 +0200

mapbox-wagyu (0.4.2-1) unstable; urgency=medium

  * Initial release (Closes: #864571)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Jun 2017 09:15:26 +0200
