=== debian/control ===
Source: mapbox-wagyu
Section: libdevel
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Build-Depends: debhelper (>= 9),
               libboost-dev,
               libmapbox-geometry-dev,
               rapidjson-dev
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapbox-wagyu/
Vcs-Git: https://salsa.debian.org/debian-gis-team/mapbox-wagyu.git
Homepage: https://github.com/mapbox/wagyu

Package: libmapbox-wagyu-dev
Architecture: all
Depends: libmapbox-geometry-dev,
         ${misc:Depends}
Description: Wagyu Geometry Processing Library
 Wagyu is a general library for the following basic geometric operations:
 .
  - Union
  - Intersection
  - Difference
  - XOR
 .
 The output geometry from each of these operations is guaranteed to be
 valid and simple as per the OGC.
