=== debian/changelog ===
mapbox-wagyu (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Update watch file to limit matches to archive path.
  * Update gbp.conf to use --source-only-changes by default.
  * Drop Name field from upstream metadata.
  * Update copyright file.
  * Override dh_auto_test & dh_auto_install targets too.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 Jan 2020 17:53:11 +0100
