=== debian/control ===
--- 
+++ 
@@ -3,11 +3,8 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Bas Couwenberg <sebastic@debian.org>
-Build-Depends: debhelper (>= 9),
-               libboost-dev,
-               libmapbox-geometry-dev,
-               rapidjson-dev
-Standards-Version: 4.1.5
+Build-Depends: debhelper (>= 9)
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapbox-wagyu/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapbox-wagyu.git
 Homepage: https://github.com/mapbox/wagyu
