=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,9 @@
 
 override_dh_auto_build:
 	# Nothing to build for header-only library
+
+override_dh_auto_test:
+	# Skip tests
+
+override_dh_auto_install:
+	# Nothing to `make install`
